Skip to main content
POST
/
api
/
v1
/
cancellation-requests
/
{id}
/
approve
İptal talebini onayla
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/cancellation-requests/{id}/approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "note": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "requested_by": "<string>",
  "requested_at": "2023-11-07T05:31:56Z",
  "reason": "<string>",
  "reviewed_by": "<string>",
  "reviewed_at": "2023-11-07T05:31:56Z",
  "review_note": "<string>",
  "void_error_code": "<string>",
  "void_error_message": "<string>",
  "transaction": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "currency": "<string>",
    "status": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "masked_card_number": "<string>",
    "connector_name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Path Parameters

id
string<uuid>
required

Body

application/json
id
string<uuid>
note
string | null

Response

OK

id
string<uuid>
transaction_id
string<uuid>
merchant_id
string<uuid>
requested_by
string | null
requested_at
string<date-time>
reason
string | null
status
enum<string>
Available options:
Pending,
Approved,
Rejected,
Failed
reviewed_by
string | null
reviewed_at
string<date-time> | null
review_note
string | null
void_error_code
string | null
void_error_message
string | null
transaction
object